package it.master.activitylife;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;


public class ActivityLifeActivity extends Activity {
	  /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        Log.i("ActivityDemo","Call OnCreate() with Bundle "+ savedInstanceState);
    }
    @Override
    protected void onRestart()
    {
    	super.onRestart();
    	Log.i("ActivityDemo","Call OnRestart()");
    }
    @Override
    protected void onStart()
    {
    	super.onStart();
    	Log.i("ActivityDemo","Call OnStart()");
    }
    @Override
    protected void onStop()
    {
    	super.onStop();
    	Log.i("ActivityDemo","Call OnStop()");
    }
    @Override
    protected void onResume()
    {
    	super.onResume();
    	Log.i("ActivityDemo","Call OnResume()");
    }
    @Override
    protected void onPause()
    {
    	super.onPause();
    	Log.i("ActivityDemo","Call OnPause()");
    }
    protected void onDestroy()
    {
    	super.onDestroy();
    	Log.i("ActivityDemo","Call OnDestroy()");
    }
    
}