package com.esempio.fragment;

import com.esempio.fragment.R;

import android.os.Bundle;
import android.support.v4.app.FragmentActivity;

/**
 * Fragment che si occupa della visualizzazione del primo layout.
 * 
 * @author Raffaele di Natale 
 * 
 * Descrizione : Una volta aperta l'applicazione questa deve visualizzare due tipologie di layout diversi:
 * uno nel caso in cui il dispositivo  in modalit "Portrait" ed un altro nel caso in cui  in "Landscape".
 * 
 */


public class MainActivity extends FragmentActivity{

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //Carichiamo solo il layout principale,  android che visualizzer quello portrait o landscape (dentro res/layout-land) in funzione della posizione del dispositivo.
        setContentView(R.layout.activity_main);
    }
}
